/*******************************************************************************
 File:		lcdmap.h
 Compiler:	AVR-GCC 3.3
 Hardware:	AVR
 Date:		21.05.2009

 LCD hardware settings and pin connections
 Layout for ET-AVR Stamp Board
*******************************************************************************/

#define DISPLAY_LINES 2			// Display Lines (1 or 2)

#define RS_PORT E				// register select
#define RS PE2

#define EN_PORT E				// enable
#define EN PE3

#define DB4_PORT E
#define DB4 PE4
#define DB5_PORT E
#define DB5 PE5
#define DB6_PORT E
#define DB6 PE6
#define DB7_PORT E
#define DB7 PE7

// extend register names with port characters
#define GLUE(a, b)		a##b
#define PORT(x)			GLUE(PORT, x)
#define PIN(x)			GLUE(PIN, x)
#define DDR(x)			GLUE(DDR, x)

#define FDEV_SETUP_STREAM
